--- balsa.1	2005-02-08 19:29:51.000000000 +0100
+++ balsa.2	2005-02-11 20:16:33.000000000 +0100
@@ -1,112 +1,234 @@
-.TH Balsa 1 "03 January 2003" Version 2.2.6
+.TH Balsa 1 "03 January 2003" "Version 2.2.6" "Gnome Manpage"
 .SH NAME
-Balsa - the GNOME email client.
-
-.SH SYNOPSIS
-.B balsa
-.RB [ \-\^\-help ] 
-.RB [ \-\^\-version ] 
-.RB [ \-c ] 
-.RB [ \-\^\-checkmail ] 
-.RB [ \-m 
-.IR USER@HOST.TLD ] 
-.RB [ \-\^\-compose=\fIUSER@HOST.TLD\fP ] 
-.RB [ \-a 
-.IR FILENAME ] 
-.RB [ \-\^\-attach=\fIFILENAME\fP ] 
-.RB [ \-o 
-.IR MAILBOX ]  
-.RB [ \-\^\-open\-mailbox=\fIMAILBOX\fP ] 
-.RB [ \-u ] 
-.RB [ \-\^\-open\-unread\-mailbox ]
-.RB [ \-d ] 
-.RB [ \-\^\-debug\-pop ]
-
+ Balsa \- the GNOME email client.
 
 .SH DESCRIPTION
+You can use Balsa to fetch, read, write and send e-mails.
+
+It supports
+  * local mailboxes in maildir, mbox and/or mh format,
+  * nested mailboxes,
+  * protocols POP3, IMAP and SMTP,
+  * multithreaded mail retrieval,
+  * GnuPG/GPG encryption, LDAP, Kerberos and SSL,
+  * MIME (view images, save parts),
+  * multiple charactersets,
+  * GPE addressbook,
+  * printing and spell-checking.  
+  
+Balsa is an integral part of the GNOME desktop environment,
+  but it can also be used standalone
+  (though it will print some errormessages then).
+
+For help on using Balsa, see the documentation in it's help menu
+  (you may need to install yelp to have a help menu).
+
+This manpage tells about the options of the '\fBbalsa\fR' command,
+  which is used to start Balsa.
+.RS 0
+.RE
+Most of these options let you tell Balsa that when it starts
+  it should immediately open a mailbox, or the composer ,
+  and things like that.
+.RS 0
+.RE
+There is also an option to debug POP connections.
 .PP
-\fIBalsa\fP is an e-mail reader.  This client is part of the GNOME desktop
-environment.  It supports local mailboxes, POP3 and IMAP.  For help on using Balsa, see the program documentation in the help menu.
+When you start Balsa from the commandline of an (x)terminal,
+  not only can you use the commandline options described below,
+  any errormessages are printed to that terminal too
+  (whether you execute that command in the background or not).
+
+.SH SYNTAX
+\fBbalsa \fR[  \fB\   \fR  \fB\-\-help                               \fR] \\
+\fR      \fR[  \fB\   \fR  \fB\-\-version                            \fR] \\
+\fR      \fR[  \fB\-c \fR| \fB\-\-checkmail                          \fR] \\
+\fR      \fR[( \fB\-m \fR| \fB\-\-compose=\fR)\fIemail-address             \fR] \\
+\fR      \fR[( \fB\-a \fR| \fB\-\-attach=\fR)\fIfilename                   \fR] \\
+\fR      \fR[( \fB\-o \fR| \fB\-\-open\-mailbox=)\fImailbox\fR[\fI:mailbox\fR]... ] \\ 
+\fR      \fR[  \fB\-u \fR| \fB\-\-open\-unread\-mailbox                \fR] \\
+\fR      \fR[  \fB\-d \fR| \fB\-\-debug\-pop                          \fR]
 
 .SH OPTIONS
-.TP 
-.BR \-c ", " \-\^\-checkmail
-Balsa will immediately check for new mail when the program is launched
-
-.TP 
-.BR \-i ", " \-\^\-open-inbox
-Balsa will open the Inbox on startup.
-
-.TP
-.BI \-m " USER@HOST.TLD" "\fR,\fP \-\^\-compose=" USER@HOST.TLD
-When invoked with this option, balsa will open a new message with the
-specified address in the To: field. The parameter can be specified
-also in URL format - it makes it possible to use balsa as mailto
-protocol handler by setting the mailto protocol command to balsa -m
-"%s" in URL handlers section of GNOME control center.
-
-.TP
-.BI \-a " FILENAME" "\fR,\fP \-\^\-attach=" FILENAME
-When invoked with this option, balsa will open a new message with the
-specified file already attached to the message.
-
-.TP
-.BI \-o " MAILBOX" "\fR,\fP \-\^\-open-mailbox=" MAILBOX
-Balsa will open automatically at startup the mailbox or mailboxes specified on the command line with this option.  Multiple mailboxes are delimited by semicolons.
-
-.TP
-.BR \-u ", " \-\^\-open-unread-mailbox
-Open the first unread mailbox when balsa is launched.
-
-.TP
-.BR \-d ", " \-\^\-debug-pop
-Dumps the POP3 communication to stderr. Useful for debugging POP3 
-connections.
+.PP
+\fB\-? \fR, \fB\-\-help\fR
+.RS 7
+Displays a message describing commandline syntax of Balsa ,
+  giving many more options than are presented in this manpage ;
+  Balsa exits immediately after that.
+.RS 0
+.RE
+Some of these options work (and thus should be in this manpage)
+  for example --display ,
+  others don't (and thus should be deleted from the message)
+  for example --disable-crash-dialog .  
+.RS 0
+.RE
+The message states that version is 2.8.0 ,
+  while current version is 2.2.6 ,
+  so perhaps these options will be implemented in future.
+.RE
 
+.PP
+\fB\-\-version\fR
+.RS 7
+Balsa prints it's version and exits.
+.RE
+
+.PP 
+\fB\-c \fR, \fB\-\-checkmail\fR
+.RS 7
+Balsa starts and checks for new mail immediately.
+.RE
+
+.PP
+\fB\-i \fR, \fB\-\-open-inbox
+.RS 7
+Balsa starts and opens the Inbox.
+.RE
+
+.PP
+\fB\-m \fIemail-address \fR, \fB\-\-compose=\fIemail-address\fR
+.RS 7
+When invoked with this option,
+  Balsa will open it's email-composer for a new message
+  with the specified address in the To: field.
+.RS 0
+.RE
+The email-address parameter can be specified
+  as user@host, e.g. \fBbalsa-list@gnome.org \fR,
+  or in URL format, e.g. \fB"Balsa List <balsa-list@gnome.org>" \fR.
+.RS 0
+.RE
+You can use Balsa as mailto protocol handler
+  by, in the URL handlers section of the GNOME control center,
+  setting the mailto protocol command to : \fBbalsa -m "%s"\fR
+.RE
+.PP
+\fB\-a \fIFILENAME \fR, \fB\-\-attach=\fIFILENAME\fR
+.RS 7
+When invoked with this option,
+  Balsa will open it's email-composer for a new message
+  with the specified file already attached to the message.
+.RS 0
+.RE
+Example : \fBbalsa -a /home/siward/balsa-new.1.gz\fR
+.RE
+.PP
+\fB\-o \fIMAILBOX\fR[\fI:MAILBOX\fR]... , \fB\-\-open-mailbox=\fIMAILBOX\fR[\fI:MAILBOX\fR]...
+.RS 7
+Multiple mailboxes can be specified by separating their names by semicolons.
+.RS 0
+.RE
+This should make \FIBalsa\FR start and open the specified mailbox(es).
+.RS 0
+.RE
+However, it doesnt open any mailboxes,
+  and if -o is used with multiple mailboxes, Balsa crashes.
+.RS 0
+.RE
+Example : \fBbalsa -o Inbox:Draftbox\fR
+.RE
+.PP
+\fB\-u \fR, \fB\-\-open-unread-mailbox\fR
+.RS 7
+Open the first mailbox that contains unread messages.
+.RS 0
+.RE
+Balsa doesn't know what a mailbox contains until it has opened it,
+so this option doesn't really open any mailbox.
+.RE
+.PP
+\fB\-d \fR, \fB\-\-debug-pop\fR
+.RS 7
+Makes Balsa print the POP3 communication to stderr,
+  including the full text of every message.
+.RS 0
+.RE
+The former can be useful for debugging POP3 connections.
+.RE
 .SH WEBSITE
-http://balsa.gnome.org/
+Balsa's website is \fI
+.URL http://balsa.gnome.org
+http://balsa.gnome.org\fR
 
 .SH SUGGESTIONS AND BUG REPORTS
-Any bugs found should be reported to the Balsa Developer mailing list
-at balsa-list@gnome.org or you may want to make use of the online
-bug-tracking system available on the web at
-http://bugzilla.gnome.org/. See http://balsa.gnome.org/bugs.html
-for more information on reporting bugs.
-
-Before reporting bugs, please check to see if the bug is mentioned 
-in the FAQ's or the mailing list archive. See the section on Other 
-Info for locations of these.
-
-When reporting Balsa bugs, it is important to include a
-reliable way to reproduce the bug, version number of Balsa (as well as
-GTK and GNOME), OS name and version, and any relevant hardware
-specs.
-
-If a bug is causing a crash, it is very useful if a stack trace 
-can be provided. And of course, patches to rectify the bug are even
-better.
+Any bugs found in Balsa can be reported through
+  the Balsa Developer mailing list at \fBbalsa-list@gnome.org \fR,
+  or the online bug-tracking system at \fBhttp://bugzilla.gnome.org/ \fR.
+.RS 0
+.RE
+See http://balsa.gnome.org/bugs.html for more information on reporting Balsa bugs.
+
+Before reporting Balsa bugs, please check to see if the bug is mentioned 
+in the FAQ's or the Balsa mailing list archive.
+.RS 0
+.RE
+I don't know where these are to be found, so you'll just have to search the web for them.
+
+When reporting Balsa bugs, it is important to include
+  * a reliable way to reproduce the bug,
+  * version number of Balsa (as well as GTK and GNOME),
+  * OS name and version,
+  * any relevant hardware specs.
+
+Bugs related to the Debian packaging of Balsa can be reported to your friendly Debian
+maintainer by filing a bugreport on package 'balsa' in Debian's Bug Tracking System
+(BTS) at www.debian.org/Bugs .
+.RS 0
+.RE
+Please use the 'reportbug' program to file such bugs.
+
+Before reporting Debian bugs, please check to see whether it has already been reported, 
+by querying the BTS.
+.RS 0
+.RE
+The solution to your problem may already be in there.
+
+For Debian bugs the same information is needed as for Balsa's ,
+  but the reportbug program includes this automatically.
+
+If a bug is causing a crash,
+  it is very useful if a stack trace can be provided.
+.RS 0
+.RE
+And of course, patches to rectify the bug are even better.
 
 .SH AUTHORS
-See the AUTHORS file included with Balsa, probably at
-/usr/share/doc/balsa-2.2.6/AUTHORS
+See the AUTHORS file included with Balsa,
+  at \fB/usr/share/doc/balsa/AUTHORS \fR.
 
-.SH FILES
-.BR ~/.gnome2/balsa
-Balsa's preferences file.
+.SH MAINTAINER
+Debian's Balsa package is currently maintained by
+  Andrew Lau <netsnipe@users.sourceforge.net>
 
-.BR ~/.gnome2_private/balsa
-Balsa's POP and IMAP passwords file.
+.SH FILES
+\fB ~/.gnome2/balsa                   \fRBalsa's preferences file.
+\fB ~/.gnome2_private/balsa           \fRBalsa's POP and IMAP passwords file.
+\fB /etc/sound/events/balsa.soundlist \fRsystem-wide configuration file
 
 .SH SEE ALSO
-.BR mailcap (5)
-.BR metamail (1)
-.BR sendmail (8)
-
+\fBmailcap  \fR(5) - metamail capabilities file (package: mime-support)
+.RS 0
+.RE
+\fBmetamail \fR(1) - infrastructure for mailcap-based multimedia mail
+                                          (package: metamail)
+.RS 0
+.RE
+\fBsendmail \fR(8) - a Mail Transfer Agent      (package: exim4-daemon-light)
+.RS 0
+.RE
+\fByelp     \fR(1) - browse Gnome documentation (package: yelp)
+.RS 0
+.RE
+\fBGNOME    \fR(1) - modern desktop environment (package: gnome-bin)
 .SH COPYRIGHT
 (c) 1997-2003 Stuart Parmenter and others, see AUTHORS for a list of people.
 
-Permission to use, copy, modify, and distribute this software and its
-documentation for any purpose and without fee is hereby granted,
-provided that the above copyright notice appear in all copies and that
-both that copyright notice and this permission notice appear in
-supporting documentation. 
+Permission to use, copy, modify, and distribute this software and its documentation,
+  for any purpose and without needing to pay any fee,
+  is hereby granted, provided that
+  the above copyright notice appear in all copies, and that
+.RS 2
+both that copyright notice and this permission notice appear in supporting documentation.
+
